Summary:	Balsa Mail Client
Name:		balsa
Version:	1.1.0
Release:	3mdk
License:	GPL
Group:		Networking/Mail

Source0:	%name-%version.tar.bz2
Source2:	balsa_icons.tar.bz2

URL:		http://www.balsa.net/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	gtk+ >= 1.2.0 gnome-libs >= 1.0.0
BuildRequires:	XFree86-devel libpspell3-devel gtk+-devel gnome-libs-devel
BuildRequires:	gettext libgnomeprint15-devel openldap-devel openssl-devel
BuildRequires:	libxml-devel, libltdl0-devel

%description
Balsa is an e-mail reader.

This client is part of the GNOME desktop environment. It supports local
mailboxes, POP3 and IMAP.
 
%prep

%setup -q -n %name-%version
tar jxf %SOURCE2

%build
%configure --enable-threads \
	   --with-ssl \
	   --disable-more-warnings

%make

%install
%makeinstall balsasoundsdir=%buildroot/%_datadir/sounds/balsa \
	     soundlistdir=%buildroot/%_sysconfdir/sounds \
	     balsabitmapsdir=%buildroot/%_datadir/pixmaps/balsa \
	     gnomedatadir=%buildroot/%_datadir


# Menu entry
install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
                 section="Networking/Mail" \
		 title="Balsa" \
		 longtitle="Balsa Mail Client" \
		 command="%_bindir/balsa" \
		 icon="%name.xpm"
EOF


install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 balsa_16.xpm %buildroot/%_miconsdir/%name.xpm
install -m644 balsa_32.xpm %buildroot/%_iconsdir/%name.xpm
install -m644 balsa_48.xpm %buildroot/%_liconsdir/%name.xpm

%{find_lang} %{name}

%clean
rm -fr %buildroot

%post   
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO
%config(noreplace) %_sysconfdir/sounds/*
%_bindir/*
%_datadir/gnome/apps/*/*
%_datadir/gnome/help/balsa
%_datadir/pixmaps/*
%_datadir/sounds/balsa
%_mandir/*/*
%_menudir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.0-3mdk
- Build with gcc

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-2mdk
- Recompiled against latest gnome-print

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.1.0

* Mon Jan 0000000008 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.1-2mdk
- BuildRequires: libxml-devel, libltdl0-devel - Thanx to Guillaume ROUSSE

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- Add some BuildRequires
- Add some options to configure

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.pre2.2mdk
- Fix BuildRequires
- Fix %%post and %%postun
- Spec clean up

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.pre2.1mdk
- Release 1.0-pre2
- use more macros

* Mon Aug 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- macros
- BM
- lang
- bzip2 patch

* Tue Jul  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.0-1mdk
- Up to 0.9.0

* Mon Jun 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.1-1mdk
- UP to 0.8.1

* Fri Jun 16 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.0-1mdk
- First mdk release
- Mandrake adaptations
- Add menu entry
- Add icons

* Thu Dec 30 1999 Bruno Pires Marinho <bapm@camoes.rnl.ist.utl.pt>
- Improved the spec file by adding a sysconfdir=/etc, removing the man
  instalation because balsa does it now and adding the files on the /etc
  to the distribution

* Tue Oct  5 1999 Jan Nieuwenhuizen <janneke@gnu.org>
- Fixed man install

* Sun Sep 26 1999 Stuart Parmenter <pavlov@balsa.net>
- Updated to version 0.5.0

* Mon Dec 14 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.8.

* Sun Sep 09 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.7.

* Sun Aug 23 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.5.

* Mon Aug  3 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.0.

* Sun Jul 26 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated RPM file to reflect recent changes with the
  removal of c-client.

* Thu Apr 02 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
